Bug 156648 - Keyword Input in Editor Limited After VNC Connect/Disconnect
Keyword Input in Editor Limited After VNC Connect/Disconnect
Product: editor
Classification: Unclassified
Component: Key bindings
All Windows XP
: P4 (vote)
: 6.x
Assigned To: issues@editor
Depends on:
  Show dependency treegraph
Reported: 2009-01-12 22:09 UTC by jmacdonald
Modified: 2009-11-02 11:01 UTC (History)
0 users

See Also:
Issue Type: DEFECT


Note You need to log in before you can comment on or make changes to this bug.
Description jmacdonald 2009-01-12 22:09:49 UTC
I start by opening a JAVA of JSP file using the default source editor. As soon as I accept a VNC connection to my
machine the only keys on my keyboard that are working with the editor are:
- a-z
- 0-9
- <space>
- <del>
- `-=[]\;',./

The up/down keys scroll the position of the text up and down within the editor pane but the same keys cannot be used to
move the cursor position up/down.
I can change the position of the cursor with the mouse as well as highlighting and drag/dropping text but right-clicking
does not display the right-click menu.

This problem only affects the file that is in focus at the time on connection. Closing the focused JAVA/JSP file and
then reopening the same file corrects the problem.

In case it matters, if a VNC connection is closed (after correcting the problem) the same problems described above occur.

Details from the About box:
Product Version: NetBeans IDE 6.5 (Build 200811100001)
Java: 1.6.0_07; Java HotSpot(TM) Client VM 10.0-b23
System: Windows XP version 5.1 running on x86; Cp1252; en_CA (nb)
Userdir: C:\user\.netbeans\6.

The VNC client/server thatn I am using is v4.1.3 (free edition) of RealVNC found here: http://www.realvnc.com.
Comment 1 Jaromir Uhrik 2009-01-13 09:42:31 UTC
I think the problem is not on the NetBeans side but passing to "editor" with the request for evaluation. Thanks 
Comment 2 Vitezslav Stejskal 2009-02-16 12:25:08 UTC
This is most likely a JDK problem or something between JDK/OS/VNC. As this is not a typical user scenario I'm marking it
P4/future. It could be interesting to know what exactly the problem is in regard to other issues that complain about
loosing keyboard functionality in the editor (eg. issue #154292, issue #119617). They never referred to VNC and
typically could not be reproduced, so if this  problem is actually reproducible with VNC it may proof useful investigating.
Comment 3 David Strupl 2009-03-31 15:46:31 UTC
Resolving all issues with milestone "future" as LATER. If you feel strongly that
it should be implemented please reopen and set the target milestone to "next".
Comment 4 Quality Engineering 2009-11-02 11:01:07 UTC
NetBeans.org Migration: changing resolution from LATER to WONTFIX

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo